<?php

require 'plugins/escpos/autoload.php';
use Mike42\Escpos\Printer;
use Mike42\Escpos\EscposImage;
use Mike42\Escpos\PrintConnectors\WindowsPrintConnector;
 
/*
	Este ejemplo imprime un hola mundo en una impresora de tickets
	en Windows.
	La impresora debe estar instalada como genérica y debe estar
	compartida
*/
 
/*
	Conectamos con la impresora
*/
 
 
/*
	Aquí, en lugar de "POS-58" (que es el nombre de mi impresora)
	escribe el nombre de la tuya. Recuerda que debes compartirla
	desde el panel de control
*/
 
// $nombre_impresora = "ticketera_prueba"; 
 
 
$connector = new WindowsPrintConnector($nombreTicketera);
$printer = new Printer($connector);
 
// $tux = EscposImage::load("img/tux.png", false);
/*
	Imprimimos un mensaje. Podemos usar
	el salto de línea o llamar muchas
	veces a $printer->text()
*/

// $printer->setFont(Printer::FONT_B);
// $printer -> setEmphasis(true); // CON ENFASIS
//TEXTO A IMPRIMIR
$printer -> setTextSize(1, 1);
$printer -> setJustification(Printer::JUSTIFY_CENTER); // centrado
$printer->text("IMPRESION REALIZADA\n\n\n");
	if ($mostrarImagen == true) {

		try{
			$logo = EscposImage::load("img/logo_hrl_ticket.png");
			$printer->bitImage($logo);
		}catch(Exception $e){/*No hacemos nada si hay error*/}

	}

/*
	Hacemos que el papel salga. Es como 
	dejar muchos saltos de línea sin escribir nada
*/
$printer->feed(1);
 
/*
	Cortamos el papel. Si nuestra impresora
	no tiene soporte para ello, no generará
	ningún error
*/
$printer->cut();
 
/*
	Por medio de la impresora mandamos un pulso.
	Esto es útil cuando la tenemos conectada
	por ejemplo a un cajón
*/
$printer->pulse();
 
/*
	Para imprimir realmente, tenemos que "cerrar"
	la conexión con la impresora. Recuerda incluir esto al final de todos los archivos
*/
$printer->close();
?>